Skip to main content
GET
https://app.useduckie.ai
/
api
/
v1
/
guidelines
List guidelines
curl --request GET \
  --url https://app.useduckie.ai/api/v1/guidelines \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "content": "<string>",
      "section": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "icon": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "next_cursor": "<string>",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key created in Duckie Settings -> API Access.

Query Parameters

limit
integer
default:100

Maximum number of records to return. Defaults to 100 and is capped at 200.

Required range: 1 <= x <= 200
cursor
string

Opaque cursor from the previous page's pagination.next_cursor value.

Response

Guidelines.

data
object[]
required
pagination
object
required